
Summary: 	Access PCC from KDE systemsettings
Name: 		kde4-pcc-systemsettings-addon
Version: 	1.0
Release: 	2
#URL: 		
Source0: 	kde4-pcc-systemsettings-addon.tar.xz
License: 	Open
Group: 		System/Configuration
Requires: 	PyQt4
Requires: 	kde-workspace-core
Requires: 	drakconf
Recommends: 	addlocale
Recommends: 	getvirtualbox
Recommends: 	lomanager
Recommends: 	partitionmanager
Recommends: 	synaptic
BuildArch:	noarch
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot


%description
Add PCLinuxOS's Control Center (PCC) tools to the KDE system
settings application for a unified control center interface.

Also includes unique PCLinuxOS tools for managing software, localization, etc.

%prep
rm -rf %{buildroot}
rm -rf %{_builddir}/%{name}

%setup -q -n %{name}

## update / build new .pot files for translation of python file text
py_dir="%{_builddir}/%{name}/python-files"
pot_dir="${py_dir}/pot"

CWD=$(pwd)
mkdir -p $pot_dir
rm -f ${pot_dir}/*.pot

cd $py_dir
for file_w_extension in $(ls *.py); do
#   file_w_extension=${path_n_file##*/}              # remove path
  filename=${file_w_extension%.*}                  # remove file-type extension (.py)
  xgettext ${file_w_extension} --output=pot/${filename}.pot
  if [ -f pot/${filename}.pot ];then echo "Created ${filename}.pot"; fi
done
cd $CWD

#compile language files with msgfmt
#  msgfmt src/opt/PROJECTNAME/i18n/de.po --output-file /opt/PROJECTNAME/i18n/de/LC_MESSAGES/PROJECTNAME.mo


%build

%install

%{__mkdir} -p %{buildroot}%{_datadir}/apps/systemsettings-pcc/pot
%{__mkdir} -p %{buildroot}%{_datadir}/kde4/services

install -m 0644 python-files/pot/*.pot %{buildroot}%{_datadir}/apps/systemsettings-pcc/pot/
install -m 0644 python-files/*.py %{buildroot}%{_datadir}/apps/systemsettings-pcc
install -m 0644 desktop-files/* %{buildroot}%{_datadir}/kde4/services


%clean
# rm -rf %{buildroot}

%post
kbuildsycoca4 &> /dev/null

%postun
kbuildsycoca4 &> /dev/null

%files
%{_datadir}/apps/systemsettings-pcc/pot/*.pot
%{_datadir}/apps/systemsettings-pcc/*.py
%{_datadir}/kde4/services/*.desktop



%changelog
* Mon Oct 10 2016 adrianomorselli <adrianomorselli> 1.0-2uplos2016
- rebuild
 
* Thu Mar 10 2016 travisn <at gmail> 1.0-2pclos2016
- update python files to match changes in drak tools

* Thu Mar 14 2015 travisn <at gmail> 1.0-1pclos2015
- initial release for PCLinuxOS
- happy pi day
